<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>B-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="index: B">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:B">B</h2>
<dl class="index">
<dt><a href="../fr/ici/buildingActivity/util/property/AddressRef.html#BAN_PLUS" class="member-name-link">BAN_PLUS</a> - Enum constant in enum class fr.ici.buildingActivity.util.property.<a href="../fr/ici/buildingActivity/util/property/AddressRef.html" title="enum class in fr.ici.buildingActivity.util.property">AddressRef</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/property/BuildingRef.html#BDTopo2" class="member-name-link">BDTopo2</a> - Enum constant in enum class fr.ici.buildingActivity.util.property.<a href="../fr/ici/buildingActivity/util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/property/BuildingRef.html#BDTopo3" class="member-name-link">BDTopo3</a> - Enum constant in enum class fr.ici.buildingActivity.util.property.<a href="../fr/ici/buildingActivity/util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#bGeom" class="member-name-link">bGeom</a> - Variable in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>
<div class="block">Geometry of the building</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/util/property/BuildingRef.html#BNB" class="member-name-link">BNB</a> - Enum constant in enum class fr.ici.buildingActivity.util.property.<a href="../fr/ici/buildingActivity/util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BpePOI.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">BpePOI</a> - Class in <a href="../fr/ici/buildingActivity/insee/package-summary.html">fr.ici.buildingActivity.insee</a></dt>
<dd>
<div class="block">POI extracted from the Base des Equipements Publics, produced by the INSEE.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BpePOI.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)" class="member-name-link">BpePOI(String, String, String, String, Point)</a> - Constructor for class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BpePOI.html" title="class in fr.ici.buildingActivity.insee">BpePOI</a></dt>
<dd>
<div class="block">General constructor</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BPEUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">BPEUtil</a> - Class in <a href="../fr/ici/buildingActivity/insee/package-summary.html">fr.ici.buildingActivity.insee</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BPEUtil.html#%3Cinit%3E()" class="member-name-link">BPEUtil()</a> - Constructor for class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BPEUtil.html" title="class in fr.ici.buildingActivity.insee">BPEUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">Building</a> - Class in <a href="../fr/ici/buildingActivity/building/package-summary.html">fr.ici.buildingActivity.building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#%3Cinit%3E()" class="member-name-link">Building()</a> - Constructor for class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">BuildingGroup</a> - Class in <a href="../fr/ici/buildingActivity/building/package-summary.html">fr.ici.buildingActivity.building</a></dt>
<dd>
<div class="block">Group of building in order to make them share their activities.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#%3Cinit%3E()" class="member-name-link">BuildingGroup()</a> - Constructor for class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#%3Cinit%3E(fr.ici.buildingActivity.building.BuildingSimple,java.util.List,boolean)" class="member-name-link">BuildingGroup(BuildingSimple, List&lt;Address&gt;, boolean)</a> - Constructor for class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Create Building Group with an initial building</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#%3Cinit%3E(java.lang.String,float,java.util.List,java.util.List,int,boolean,int,float,org.locationtech.jts.geom.MultiPolygon)" class="member-name-link">BuildingGroup(String, float, List&lt;String&gt;, List&lt;String&gt;, int, boolean, int, float, MultiPolygon)</a> - Constructor for class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Building Group constructor for importing an exported Building Group</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingImport.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">BuildingImport</a> - Class in <a href="../fr/ici/buildingActivity/building/package-summary.html">fr.ici.buildingActivity.building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingImport.html#%3Cinit%3E()" class="member-name-link">BuildingImport()</a> - Constructor for class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingImport.html" title="class in fr.ici.buildingActivity.building">BuildingImport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/property/BuildingRef.html" class="type-name-link" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a> - Enum Class in <a href="../fr/ici/buildingActivity/util/property/package-summary.html">fr.ici.buildingActivity.util.property</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">BuildingSimple</a> - Class in <a href="../fr/ici/buildingActivity/building/package-summary.html">fr.ici.buildingActivity.building</a></dt>
<dd>
<div class="block">Building integration in the ICI project.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,double,double,int,int,boolean,int,org.locationtech.jts.geom.Geometry)" class="member-name-link">BuildingSimple(String, String, String, String, double, double, int, int, boolean, int, Geometry)</a> - Constructor for class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">BuildingUtil</a> - Class in <a href="../fr/ici/buildingActivity/building/package-summary.html">fr.ici.buildingActivity.building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingUtil.html#%3Cinit%3E()" class="member-name-link">BuildingUtil()</a> - Constructor for class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingUtil.html" title="class in fr.ici.buildingActivity.building">BuildingUtil</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
